std::discrete_distribution< _IntType >::param_type Struct Reference
Numerics » Random Number Generation » Random Number Distributions » Poisson Distributions

`#include <random.h>`

## Public Types

typedef discrete_distribution< _IntType > | distribution_type

## Public Member Functions

template<typename _InputIterator>
| param_type (_InputIterator __wbegin, _InputIterator __wend)
| param_type (const param_type &)=default
| param_type (initializer_list< double > __wil)
template<typename _Func>
| param_type (size_t __nw, double __xmin, double __xmax, _Func __fw)
param_type & | operator= (const param_type &)=default
std::vector< double > | probabilities () const

## Friends

class | discrete_distribution< _IntType >
bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _IntType = int>
struct std::discrete_distribution< _IntType >::param_type

Parameter type.

Definition at line 5289 of file random.h.

## Member Typedef Documentation

## distribution_type

template<typename _IntType = int>

typedef discrete_distribution<_IntType> std::discrete_distribution< _IntType >::param_type::distribution_type

Definition at line 5291 of file random.h.

## Constructor & Destructor Documentation

## param_type() [1/4]

template<typename _IntType = int>

std::discrete_distribution< _IntType >::param_type::param_type | ( |  | ) |

inline

Definition at line 5294 of file random.h.

## param_type() [2/4]

template<typename _IntType = int>
template<typename _InputIterator>

std::discrete_distribution< _IntType >::param_type::param_type | ( | _InputIterator | __wbegin,
|  | _InputIterator | __wend )

inline

Definition at line 5299 of file random.h.

## param_type() [3/4]

template<typename _IntType = int>

std::discrete_distribution< _IntType >::param_type::param_type | ( | initializer_list< double > | __wil | ) |

inline

Definition at line 5304 of file random.h.

## param_type() [4/4]

template<typename _IntType>
template<typename _Func>

std::discrete_distribution< _IntType >::param_type::param_type | ( | size_t | __nw,
|  | double | __xmin,
|  | double | __xmax,
|  | _Func | __fw )

Definition at line 2681 of file bits/random.tcc.

## Member Function Documentation

## probabilities()

template<typename _IntType = int>

std::vector< double > std::discrete_distribution< _IntType >::param_type::probabilities | ( |  | ) | const

inline

Definition at line 5317 of file random.h.

## Friends And Related Symbol Documentation

## discrete_distribution< _IntType >

template<typename _IntType = int>

friend class discrete_distribution< _IntType >

friend

Definition at line 5291 of file random.h.

## operator!=

template<typename _IntType = int>

bool operator!= | ( | const param_type & | __p1,
|  | const param_type & | __p2 )

friend

Definition at line 5325 of file random.h.

## operator==

template<typename _IntType = int>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )

friend

Definition at line 5321 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc